

input {
    border: 1px solid rgba(0, 0, 0, 0.2);
}

input:focus {
    outline:none;
}

input {
    &.pl-5 {
        padding-left: 2rem!important;
    }
}

button {

    border: none;
}

.select {

    text-align: center;

    select {
        padding: 1rem;

        border-top-left-radius: 30px;
        border-top-right-radius: 30px;
        border-bottom-left-radius: 30px;
        border-bottom-right-radius: 30px;

        background: white;

    }
}

.input-group-rounded-double {
    position: relative;

    margin-left: auto;
    margin-right: auto;

    margin-top: 2rem;

    input{
        width: 90%;
    }

    .input-group-field {
        padding: .8rem;

        border-radius: 5000px;
        padding-left: 1rem;

        width: 100%;


        &.shadow{
            -webkit-box-shadow: -1px 0px 24px -4px rgba(0,0,0,0.55);
            -moz-box-shadow: -1px 0px 24px -4px rgba(0,0,0,0.55);
            box-shadow: -1px 0px 24px -4px rgba(0,0,0,0.55);
        }

    }

    .input-group-button .button {
        position: absolute;
        top: 0;
        right: 0;

        height: 3.3rem;
        padding-right: 1rem;

        border-radius:  5000px 5000px;
        background: black;

        font-weight: bold;
        color: white;

        &.ajouter{
            &:before{
                display: inline-block;
                content: ' ';
                width: 2rem;
                height: 2rem;

                margin-right: 1rem;
                margin-left: .5rem;

                vertical-align: middle;

                background: url('/images/circle-plus.svg');
                background-size: 100%;

                @media screen and (max-width: 767px){
                    margin-right: 0;
                }
            }

            @media screen and (max-width: 767px){
                font-size: 0;
            }
        }

        &.search{
            &:before{
                display: inline-block;
                content: ' ';

                width: 1.7rem;
                height: 1.7rem;

                margin-right: 1rem;
                margin-left: 1rem;

                vertical-align: middle;

                background: url('/images/hands.svg');

                background-size: 100%;
            }
        }

    }
}


.input-group-rounded {
  .input-group-field {
    width: 100%;

    height: 3rem;
    border-radius: 5000px;
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .input-pourcentage{
      position: relative;
      width: 100%;

      @media screen and (max-width: 767px){
          width: 100%;
      }

      span{
          position: absolute;

          top: 50%;  /* position the top  edge of the element at the middle of the parent */
          right: 15%;
          transform: translate(-5%, -50%);

      }
  }
}

.button-delete {

    width: 25px;
    height: 25px;

    margin-top: .8rem;

    border-radius: 50%;
    border: none;

    color: white;
    background: black;

    font-size: .8rem;
    font-weight: bold;

    justify-content: center;

    &:hover{
        background: #ff6b63;
    }

}
